<?php
    
    namespace common\models\page;
    
    use artbox\core\models\Alias;
    use yii\db\ActiveRecord;
    
    class PageLang extends ActiveRecord
    {
        public function rules()
        {
            return [
                [
                    [
                        'title',
                        'body',
                    ],
                    'string',
                ],
            ];
        }
        
        public static function tableName()
        {
            return 'page_lang';
        }
        
        public function attributeLabels()
        {
            return [
                'title' => \Yii::t('core', 'Title'),
                'body'  => \Yii::t('core', 'Body'),
            ];
        }
        
        public function getAlias()
        {
            return $this->hasOne(Alias::className(), [ 'id' => 'alias_id' ]);
        }
    }